LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   slackware-current and vmware-player 3.1.3 (http://www.linuxquestions.org/questions/slackware-14/slackware-current-and-vmware-player-3-1-3-a-868628/)

thach.trung.ngoc 03-15-2011 02:04 AM

slackware-current and vmware-player 3.1.3
 
Hi All,


Has anyone had an issue running vmware-player with kernel 2.6.37.3 (current)?


Installation was running ok, but when I ran vmware-player, an error came up. Issue is "Failed to compile module vmmon!"


any helps are welcome

Thanks

disturbed1 03-15-2011 02:32 AM

vmmon needs to be patched. Forget exactly where I got it from, but Google should yield around 6,000 results when you search for Failed to compile module vmmon

---edit---

Try this -
https://wiki.archlinux.org/index.php..._VMware_Player

thach.trung.ngoc 03-15-2011 08:32 AM

Thanks disturbed1.

I downloaded the patch script, then ran it. It works like a charm

chytraeus 03-16-2011 08:33 PM

Quote:

Originally Posted by thach.trung.ngoc (Post 4291408)
Thanks disturbed1.

I downloaded the patch script, then ran it. It works like a charm

Could you give a little more details? Which script did you use? I'm trying to get vmware-player working too. Thanks.

disturbed1 03-21-2011 04:56 PM

Quote:

Originally Posted by chytraeus (Post 4293185)
Could you give a little more details? Which script did you use? I'm trying to get vmware-player working too. Thanks.

Did you get this working yet? If not, following that link I posted, there's a section under #6 that states -
Quote:

For 2.6.37 kernel and VMware 7.x.x (tested with 7.1.3), there's a script to patch the VMware sources (run as root):
That's what you need.

It's actually quite nice. As before I would manually untar the module(s), patch, tar, then run vmware to compile the modules. This script does it all in one shot :)


All times are GMT -5. The time now is 11:06 AM.